Package org.eclipse.net4j.util.collection

## Class ComposedIterator<T>

- java.lang.Object
- - org.eclipse.net4j.util.collection.AbstractIterator<T>
  - - org.eclipse.net4j.util.collection.ComposedIterator<T>

- All Implemented Interfaces:
    `java.util.Iterator<T>`

      public class ComposedIterator<T>
      extends AbstractIterator<T>

  An iterator that is composed of multiple delegate iterators.
  Since:
    3.4
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.collection.AbstractIterator

      `END_OF_DATA`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComposedIterator​(java.util.Collection<? extends java.util.Iterator<T>> delegates)` |
    `ComposedIterator​(java.util.Iterator<? extends java.util.Iterator<T>> delegates)` |
    `ComposedIterator​(java.util.Iterator<T>... delegates)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.Object` | `computeNextElement()` | Returns the next iteration element, or `AbstractIterator.END_OF_DATA` if the end of the iteration has been reached.
    `static <T> java.util.Iterator<T>` | `fromIterables​(java.util.Collection<? extends java.lang.Iterable<T>> iterables)` |

    - ### Methods inherited from class org.eclipse.net4j.util.collection.AbstractIterator

      `empty, hasNext, next, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### ComposedIterator

          @SafeVarargs
          public ComposedIterator​(java.util.Iterator<T>... delegates)

    - #### ComposedIterator

          public ComposedIterator​(java.util.Collection<? extends java.util.Iterator<T>> delegates)

    - #### ComposedIterator

          public ComposedIterator​(java.util.Iterator<? extends java.util.Iterator<T>> delegates)

  - ### Method Detail

    - #### computeNextElement

          protected java.lang.Object computeNextElement()

      Description copied from class: `AbstractIterator`
      Returns the next iteration element, or `AbstractIterator.END_OF_DATA` if the end of the iteration has been reached.
      Specified by:
        `computeNextElement` in class `AbstractIterator<T>`

    - #### fromIterables

          public static <T> java.util.Iterator<T> fromIterables​(java.util.Collection<? extends java.lang.Iterable<T>> iterables)